cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout > Struct Template Reference

< Layout function

`#include <tensor_compare.h>`

Collaboration diagram for cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >:
[legend]

## Public Member Functions

| TensorEqualsFunc ()
| Ctor. More...
| TensorEqualsFunc (TensorView< Element, Layout > const &lhs_, TensorView< Element, Layout > const &rhs_)
| Ctor. More...
void | operator() (Coord< Layout::kRank > const &coord)
| Visits a coordinate. More...
| operator bool () const
| Returns true if equal. More...

## Public Attributes

TensorView< Element, Layout > | lhs
TensorView< Element, Layout > | rhs
bool | result

## Constructor & Destructor Documentation

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >::TensorEqualsFunc | ( |  | ) |

inline

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >::TensorEqualsFunc | ( | TensorView< Element, Layout > const & | lhs_,
|  | TensorView< Element, Layout > const & | rhs_
| ) |  |

inline

## Member Function Documentation

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >::operator bool | ( |  | ) | const

inline

template<typename Element, typename Layout>

void cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >::operator() | ( | Coord< Layout::kRank > const & | coord | ) |

inline

## Member Data Documentation

template<typename Element, typename Layout>

TensorView<Element, Layout> cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >::lhs

template<typename Element, typename Layout>

bool cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >::result

template<typename Element, typename Layout>

TensorView<Element, Layout> cutlass::reference::host::detail::TensorEqualsFunc< Element, Layout >::rhs

The documentation for this struct was generated from the following file:

- host/tensor_compare.h